classification
Title: setup.py --quiet doesn't silence "no previously-included directories" warnings from MANIFEST.in
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, bignose, dstufft, eric.araujo, ionelmc, nedbat, steve.dower
Priority: normal Keywords:

Created on 2015-10-13 11:45 by nedbat, last changed 2021-02-03 18:21 by steve.dower. This issue is now closed.

Messages (4)
msg252927 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2015-10-13 11:45
The MANIFEST.in file for coverage.py excludes directories line doc/_build.  If I run "python setup.py --quiet develop", I get output like this:

    python3.5 setup.py --quiet develop
    no previously-included directories found matching 'doc/_build'
    no previously-included directories found matching 'tests/eggsrc/dist'
    no previously-included directories found matching 'tests/eggsrc/*.egg-info'

This is because I'm running the command in a working tree that hasn't had the docs built yet.  But I need MANIFEST.in to exclude that directory for the case where I do run the command in dirty tree.

1) Why is it a warning to exclude directories that don't exist in the first place?  That's not a problem.

2) Why doesn't --quiet silence those warnings?
msg252929 - (view) Author: Ionel Cristian Mărieș (ionelmc) Date: 2015-10-13 13:13
I think those warning are about the fact that stuff that ain't in the packages list are added on PYTHONPATH. Not 100% sure tho.

Nothing to do with MANIFEST.in (not used for develop). Plus it's more specific to setuptools (where develop is implemented) than distutils.
msg252934 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2015-10-13 14:05
You are right that "develop" is from setuptools.  The same messages appear with "sdist":

    $ python setup.py --quiet sdist
    no previously-included directories found matching 'doc/_build'
    no previously-included directories found matching 'tests/eggsrc/dist'
    no previously-included directories found matching 'tests/eggsrc/*.egg-info'
msg386370 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:21
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:21:53steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386370

resolution: out of date
stage: needs patch -> resolved
2016-05-02 14:38:12berker.peksagsetversions: + Python 3.6, - Python 3.3, Python 3.4
nosy: + eric.araujo, berker.peksag, dstufft

components: + Distutils
type: behavior
stage: needs patch
2015-10-13 19:40:01bignosesetnosy: + bignose
2015-10-13 14:05:25nedbatsetmessages: + msg252934
2015-10-13 13:13:47ionelmcsetnosy: + ionelmc
messages: + msg252929
2015-10-13 11:45:29nedbatcreate